<?php

namespace Database\Seeders;

use App\Models\Role;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Role::create(['name' => 'GuruBK', 'guard_name' => 'web']);
        Role::create(['name' => 'GuruPengajar', 'guard_name' => 'web']);
        Role::create([
            'name' => 'KepalaSekolah',
            'guard_name' => 'web'
        ]);
        Role::firstOrCreate(['name' => 'Siswa', 'guard_name' => 'web']);
        Role::create(['name' => 'WaliKelas', 'guard_name' => 'web',]);
    }
}
